## org.w3c.tools.resources.upgrade
Class DoubleAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.upgrade.Attribute
            |
            +--org.w3c.tools.resources.upgrade.DoubleAttribute

public class DoubleAttribute
extends Attribute

The generic description of an DoubleAttribute.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.upgrade.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`DoubleAttribute(java.lang.String name, java.lang.Double def, java.lang.Integer flags)` Create a description for a generic Double attribute.

Method Summary
`boolean` `checkValue(java.lang.Object obj)` Is the given object a valid DoubleAttribute value ?
`int` `getPickleLength(java.lang.Object value)` Get the number of bytes required to save that attribute value.
`void` `pickle(java.io.DataOutputStream out, java.lang.Object d)` Pickle an double to the given output stream.
`java.lang.Object` `unpickle(java.io.DataInputStream in)` Unpickle an integer from the given input stream.

Methods inherited from class org.w3c.tools.resources.upgrade.Attribute
`checkFlag, getDefault, getName, getType, stringify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleAttribute

    public DoubleAttribute(java.lang.String name,
                           java.lang.Double def,
                           java.lang.Integer flags)

  Create a description for a generic Double attribute.
  Parameters:
    `name` - The attribute name.
    `def` - The default value for these attributes.
    `flags` - The associated flags.

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid DoubleAttribute value ?
  Overrides:
    checkValue in class Attribute
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.
  Throws:
    IllegalAttributeAccess - If the provided value doesn't pass the test.

### getPickleLength

    public final int getPickleLength(java.lang.Object value)

  Get the number of bytes required to save that attribute value.
  Overrides:
    getPickleLength in class Attribute
  Parameters:
    `The` - value about to be pickled.
  Returns:
    The number of bytes needed to pickle that value.

### pickle

    public final void pickle(java.io.DataOutputStream out,
                             java.lang.Object d)
                      throws java.io.IOException

  Pickle an double to the given output stream.
  Overrides:
    pickle in class Attribute
  Parameters:
    `out` - The output stream to pickle to.
    `obj` - The object to pickle.
  Throws:
    java.io.IOException - If some IO error occured.

### unpickle

    public final java.lang.Object unpickle(java.io.DataInputStream in)
                                    throws java.io.IOException

  Unpickle an integer from the given input stream.
  Overrides:
    unpickle in class Attribute
  Parameters:
    `in` - The input stream to unpickle from.
  Returns:
    An instance of Double.
  Throws:
    java.io.IOException - If some IO error occured.